package nz.gen.wellington.servlets.screenscrapers;

import com.google.inject.Guice;
import com.google.inject.Injector;
import com.google.inject.servlet.GuiceServletContextListener;
import com.google.inject.servlet.ServletModule;

public class GuiceServletConfig extends GuiceServletContextListener {
	
	@Override
	protected Injector getInjector() {
		return Guice.createInjector(new ServletModule() {

		     @Override
		     protected void configureServlets() {		    	
		    	 serve("/index").with(IndexServlet.class);
		    	 serve("/feeds/*").with(ResolvingFeedController.class);
		    	 serve("/feeds/**").with(ResolvingFeedController.class);
		     }
		});
	}

}
