package nz.gen.wellington.screenscrapers;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.io.Reader;
import java.text.SimpleDateFormat;

import junit.framework.TestCase;

public class Base extends TestCase {

	protected SimpleDateFormat df;

	protected void setUp() throws Exception {
		df = new SimpleDateFormat();
		df.applyPattern("d MMM yyyy");
	}

	protected StringBuffer loadContent(String filename) throws IOException {
		StringBuffer content = new StringBuffer();
		File contentFile = new File(ClassLoader.getSystemClassLoader().getResource(filename).getFile());
		Reader freader = new FileReader(contentFile);
		BufferedReader in = new BufferedReader(freader);
		String str;
		while ((str = in.readLine()) != null) {
			content.append(str);
			content.append("\n");
		}
		in.close();
		freader.close();
		return content;
	}

}