package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class CCDHBScraperTest extends Base {

    public void testScraper() throws Exception {
        ScreenScraper adhb = new CCDHBScraper();
        StringBuffer content = loadContent("ccdhb_news.html");

        List<Newsitem> extractedItems = adhb.parseContent(content.toString());

        Newsitem first = extractedItems.get(0);
        assertEquals("Joint media release: DHBs plan to establish Joint Chair of Emergency Medicine for Wellington Region", first.getTitle());
        assertEquals("http://www.ccdhb.org.nz/news/2009_archive/09_12_10.htm", first.getUrl());
        assertNotNull(first.getDate());
        assertEquals("10 Dec 2009", df.format(first.getDate().getTime()));
                
        assertEquals(20, extractedItems.size());
    }

}