package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class CatsProtectionLeagueScraperTest extends Base {
		
	public void testScraper() throws Exception {
        ScreenScraper scraper = new CatsProtectionLeagueScraper();
        StringBuffer content = loadContent("cpl-news.html");
        
        final List<Newsitem> extractedItems = scraper.parseContent(content.toString());

        assertEquals(5, extractedItems.size());
        final Newsitem first = extractedItems.get(0);
        
        assertEquals("Bargains galore at our Op Shop", first.getTitle());
        assertEquals("http://www.cpl-wellington.org.nz/news/bargains-galore-our-op-shop", first.getUrl());
        assertEquals("12 Dec 2012", df.format(first.getDate().getTime()));
    }
	
}
