package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class CityGalleryScraperTest extends Base {

	public void testScraper() throws Exception {
		ScreenScraper scraper = new CityGalleryScraper();
		StringBuffer content = loadContent("CityGalleryMediaReleases.html");
		
		List<Newsitem> extractedItems = scraper.parseContent(content.toString());
		assertEquals(20, extractedItems.size());
        
        Newsitem firstItem = (Newsitem) extractedItems.get(2);
        assertEquals("Mirek Smisek", firstItem.getTitle());
        assertEquals("http://citygallery.org.nz/news/mirek-smisek", firstItem.getUrl());
		assertEquals("21 May 2013", df.format(firstItem.getDate().getTime()));        
	}

}