package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class JCCScraperTest extends Base {
	
	public void testScraper() throws Exception {
		ScreenScraper scraper = new JCCScraper();
		StringBuffer content = loadContent("jcc-homepage.html");
		
		List<Newsitem> extractedItems = scraper.parseContent(content.toString());
		assertEquals(3, extractedItems.size());
		
		Newsitem firstItem = (Newsitem) extractedItems.get(0);
		assertEquals("Rhodes and Mudgway part of Elite Player Programme", firstItem.getTitle());       
		assertEquals("http://www.jcc.org.nz/news/28/15/Rhodes-and-Mudgway-part-of-Elite-Player-Programme.html", firstItem.getUrl());
		assertEquals("26 Sep 2011", df.format(firstItem.getDate().getTime()));
	}
}
