package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class OlympicAFCScraperTest extends Base {
	
	public void testScraper() throws Exception {
		ScreenScraper scraper = new OlympicAFCScraper();
		StringBuffer content = loadContent("olympic-afc.html");
		List<Newsitem> extractedItems = scraper.parseContent(content.toString());
		
		assertEquals(8, extractedItems.size());
		Newsitem first = (Newsitem) extractedItems.get(0);
		assertEquals("Roller-coaster Weekend for Olympic.", first.getTitle());
		assertEquals("17 Apr 2011", df.format(first.getDate().getTime()));
		assertEquals("http://www.olympicafc.org.nz/index.php?page=news&article=762", first.getUrl());		
	}
	
}
