package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class PCCScraperTest extends Base {
		
	public void testScraper() throws Exception {
        ScreenScraper scraper = new PCCScraper();
        StringBuffer content = loadContent("PCC-Latest-News.html");
        
        List<Newsitem> extractedItems = scraper.parseContent(content.toString());
        assertEquals(10, extractedItems.size());
        Newsitem item = extractedItems.get(5);
        assertEquals("New Exer-site added attraction at Aotea Lagoon", item.getTitle());
        assertEquals("http://www.pcc.govt.nz/News---Events/Latest-News#aotea", item.getUrl());
        assertEquals("12 Aug 2009", df.format(item.getDate().getTime()));

      
    }
	
}
