package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class PetoneHeraldScreenScraperTest extends Base {

    public void testScraper() throws Exception {
        ScreenScraper ns = new PetoneHeraldScraper();
        StringBuffer content = loadContent("petoneherald.htm");
        
        List<Newsitem> extractedItems = ns.parseContent(content.toString());
        assertEquals(15, extractedItems.size());

        Newsitem first = (Newsitem) extractedItems.get(0);
        assertEquals("September opening date announced for second Petone Park n' Ride", first.getTitle());
        assertEquals("http://www.localmedia.co.nz/petoneherald/stories/ph120809/PAGE TWOph120809-NEWS-park and ride to open september-200+pic.htm", first.getUrl());
        assertEquals("12 Aug 2009", df.format(first.getDate().getTime()));
    }

}