package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class PhoenixScraperTest extends Base {

    public void testPhoniexScraper() throws Exception {
        ScreenScraper scraper = new PhoenixScraper();
        StringBuffer content = loadContent("wellingtonphoenix_news.html");
        
        List<Newsitem> extractedItems = scraper.parseContent(content.toString());
        assertEquals(3, extractedItems.size());

        Newsitem firstItem = (Newsitem) extractedItems.get(0);
        assertEquals("Bertos blasts Phoenix to win", firstItem.getTitle());
        assertEquals("16 Aug 2009", df.format(firstItem.getDate().getTime()));
        assertEquals("http://www.wellingtonphoenix.com/default.aspx?s=newsdisplay&id=28756", firstItem.getUrl());
        assertTrue(firstItem.getDescription().startsWith("IT WAS the Leo Bertos show at Westpac Stadium in Wellington on Sunday afternoon"));
    }

}