package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class SculptureTrustScraperTest extends Base {

	public void testScraper() throws Exception {
		ScreenScraper scraper = new SculptureTrustScraper();
		StringBuffer content = loadContent("sculpture-trust-news.htm");

		List<Newsitem> extractedItems = scraper.parseContent(content.toString());
		assertEquals(7, extractedItems.size());
        
        Newsitem firstItem = (Newsitem) extractedItems.get(0);
        assertEquals("July 18: Wellington Park(ing) Day", firstItem.getTitle());       
        assertEquals("http://www.sculpture.org.nz/engine/SID/10062/AID/1378.htm", firstItem.getUrl());       
	}

}