package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class TranzmetroNewsScraperTest extends Base {

	public void testScraper() throws Exception {		
		ScreenScraper scraper = new TranzmetroNewsScraper();
		StringBuffer content = loadContent("tranzmetro-news.aspx");
		List<Newsitem> extractedItems = scraper.parseContent(content.toString());
		assertEquals(3, extractedItems.size());
	
		Newsitem firstItem = (Newsitem) extractedItems.get(0);
		assertEquals("Some evening trains replaced by buses on all lines", firstItem.getTitle());
		assertEquals("http://www.tranzmetro.co.nz/Detail.aspx?ID=da6e96d0-a0bf-41b9-8420-66bc36327ec3", firstItem.getUrl());
		assertEquals("To allow for development work to be carried out on the network prior to the arrival of the new Matangi units in 2010, a number of evening services will be replaced by buses over coming weeks. We apologise for the disruption this causes but this work, being carried out overnight, is critical to bring the Matangi units into service on time.", firstItem.getDescription());
     }

}