package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class WellingtonLionsScraperTest extends Base {

	public void testCapitalShakersScraper() throws Exception {
		ScreenScraper scraper = new WellingtonLionsScraper();
		StringBuffer content = loadContent("wellington_lions_front.html");		
		List<Newsitem> extractedItems = scraper.parseContent(content.toString());

		assertEquals(3, extractedItems.size());		
		Newsitem firstItem = extractedItems.get(0);
		assertEquals("Vodafone Wellington Lions Team v North Harbour", firstItem.getTitle());
		assertEquals("http://www.wellingtonlions.co.nz/news/394-vodafone-wellington-lions-team-v-north-harbour", firstItem.getUrl());
		assertEquals("15 Oct 2009", df.format(firstItem.getDate().getTime()));
		//assertEquals("The Vodafone Wellington Lions team to play North Harbour in round twelve of the 2009 Air New Zealand Cup on Saturday 17 October at Westpac Stadium, kick-off 2.35pm, is as follows:", firstItem.getDescription());		
	}

}