package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class WhitireiaScraperTest extends Base {

	public void testScraper() throws Exception {
		ScreenScraper scraper = new WhitireiaScraper();
		StringBuffer content = loadContent("whitireia_news.html");
		List<Newsitem> extractedItems = scraper.parseContent(content.toString());

		assertEquals(10, extractedItems.size());
		Newsitem firstItem = extractedItems.get(0);
		assertEquals("Origins, Design in the Spine and Purapura Whetu Exhibition", firstItem.getTitle());
		assertEquals("http://www.whitireia.ac.nz/news/Pages/OriginsandPurapuraWhetuExhibition.aspx", firstItem.getUrl());
		assertEquals("26 Nov 2009", df.format(firstItem.getDate().getTime()));
		assertEquals("A year - or two, or three - of hard work, is culminating in a final exhibition", firstItem.getDescription());		
	}

}