package nz.gen.wellington.screenscrapers;

import java.io.File;
import java.util.List;

import nz.gen.wellington.screenscrapers.wellington.Base;
import nz.gen.wellington.screenscrapers.wellington.TransitScraper;

public class TransitScraperTests extends Base {

    public void testScraper() throws Exception {
        ScreenScraper scraper = new TransitScraper();
        File contentFile = new File("test/java/nz/gen/wellington/screenscrapers/transitmediareleases.htm");
        StringBuffer content = loadContent(contentFile);

        List<Newsitem> extractedItems = scraper.parseContent(content.toString());
        assertEquals(29, extractedItems.size());

      Newsitem first = (Newsitem) extractedItems.get(0);
       assertEquals("Right-hand turn closure tomorrow at SH2 / Moonshine Road intersection", first.getTitle());
       assertEquals("http://www.transit.govt.nz/news/MediaReleaseView.do?MediaReleaseId=nz.govt.transit.transweb.content.news.MediaRelease-14105", first.getUrl());
       assertEquals("29 Jul 2008", df.format(first.getDate().getTime()));        
    }

}