package nz.gen.wellington.screenscrapers;

import java.math.BigDecimal;
import java.util.Date;

public interface Newsitem {
   
	public Date getDate();
	public void setDate(Date date);

	public String getDescription();	
	public void setDescription(String description);
		
	public String getTitle();	
	public void setTitle(String title);
	
	public String getUrl();	
	public void setUrl(String url);
    
    public void flattenLoudCaps();
	public String getImage();
	public void setImage(String image);
	public String getImageDescription();
	public void setImageDescription(String imageDescription);
	
	public void setLongitude(BigDecimal longitude);
	public BigDecimal getLongitude();
	public void setLatitude(BigDecimal latitude);
	public BigDecimal getLatitude();
	    
}
