package nz.gen.wellington.screenscrapers.isleofwight;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class IOWCPlanningApplicationsScraperTest extends Base {

	  public void testScraper() throws Exception {
	        ScreenScraper ns = new IOWCPlanningApplicationsScraper();
	        StringBuffer content = loadContent("iow_planning_applications.html");
	        
	        List<Newsitem> extractedItems = ns.parseContent(content.toString());
	        
	        Newsitem first = (Newsitem) extractedItems.get(0);
	        assertEquals("TCP/29804/A - P/00511/10", first.getTitle());
	        assertEquals("http://www.iwight.com/council/departments/planning/appsdip/AppDetails3.aspx?frmId=20969", first.getUrl());
	        assertEquals("18 Hazely Combe Arreton Newport Isle Of Wight PO303AJ. Householder Application Proposed first floor and single storey extension to provide annexed accommodation conservatory hardstanding and vehicular access (revised scheme)", first.getDescription()); 	       	    
	  }

}