package nz.gen.wellington.screenscrapers.twickenham;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class MogdenScraperTest extends Base {

    public void testScraper() throws Exception {
        ScreenScraper scraper = new MogdenScraper();
        StringBuffer content = loadContent("mogden-news.html");

        List<Newsitem> extractedItems = scraper.parseContent(content.toString());

        assertEquals(22, extractedItems.size());
        Newsitem first = extractedItems.get(0);        
        assertEquals("Primary tank drain down", first.getTitle());
        assertEquals("http://www.thameswater.co.uk/cps/rde/xchg/corp/hs.xsl/14655.htm", first.getUrl());
		assertEquals("13 Oct 2011", df.format(first.getDate().getTime()));
    }

}