package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class ClubWeeklyScraperTest extends Base {
	
	public void testScraper() throws Exception {		
		ScreenScraper capital = new ClubWeeklyScraper();
		StringBuffer content = loadContent("club_weekly.html");
	
		List<Newsitem> extractedItems = capital.parseContent(content.toString());
		assertEquals(10, extractedItems.size());
	
		// Check for whitespace trimming.
		Newsitem firstItem = (Newsitem) extractedItems.get(0);		
		assertEquals("Upper Hutt  join HOBM at the top in another cracking round of matches", firstItem.getTitle());
		assertEquals("http://www.clubrugby.co.nz/wellington/story.php?id=463", firstItem.getUrl());
		assertEquals("5 May 2012", df.format(firstItem.getDate().getTime()));
        assertEquals("UPDATED SUNDAY: Midway through the first round, the 2012 Swindale Shield is fast unraveling as one of the closest in recent years. Results on Saturday proved again that teams are delivering on the field when they most need to, resulting in five teams being within striking distance of the lead and further down the table the race to finish inside the top eight heating up considerably. Features of the sixth round set of matches, played in bright autumnal sunshine, were decisive wins for Northern United over Hutt Old Boys Marist and Marist St Pat's over Oriental-Rongotai, a much-needed win for Poneke over the Wests Roosters and a draw at Williams Jones Park between home side Wainuiomata and Old Boys-University...", firstItem.getDescription());
	}
}