package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class HOBMScraperTest extends Base {

    public void testScraper() throws Exception {
        ScreenScraper ns = new HOBMScraper();
        StringBuffer content = loadContent("hobm_news.html");
        
        List<Newsitem> extractedItems = ns.parseContent(content.toString());
        assertEquals(10, extractedItems.size());

        Newsitem second = (Newsitem) extractedItems.get(1);
        assertEquals("Eagles Continue to Soar", second.getTitle());
        assertEquals("http://hobm.co.nz/news/146/19/Eagles-Continue-to-Soar", second.getUrl());
        assertEquals("30 Apr 2012", df.format(second.getDate().getTime()));
        assertEquals("The Eagles Prems picked up their second piece of silverware of the week beating MSP 19-14.  The Father Cleary Shield joins the McBain shield in an increasingly crowded trophy cabinet.  Elsewhere, there were wins for Senior 2s, Senior 3s and the Colts.More good news over the weekend with the naming of Eagles midfield back Ope Peleseuma in the New Zealand Under 20s team for 2012 IRB Junior World Championship. The tournament this year is in South Africa from June 4 - June 22. Ope has made an outstanding return to rugby this season after 2011 was written off when he hurt his knee playing sevens for the Eagles. While Ope&#x2019;s talents on the field are there for all to see, his attitude, humility and work ethic off the field also stand out. Congratulations to Ope and his family!It was also great to see a bumper crowd in the clubrooms on Saturday night as Taleta Tupuola and Parataiso Silafai-Lea&#x2019;ana received their blazers for 40 Premier appearances.Stephen Lynch has been kind enough to provide the Prems match report this week and his summary follows.", second.getDescription());
    }

}