package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class KaroriCricketScraperTest extends Base {

	public void testScraper() throws Exception {
		ScreenScraper scraper = new KaroriCricketScraper();
		StringBuffer content = loadContent("KaroriCricketClubHomepage.htm");

		List<Newsitem> extractedItems = scraper.parseContent(content.toString());
		assertEquals(6, extractedItems.size());
        
        Newsitem firstItem = extractedItems.get(0);
        assertEquals("Clubs 125/127 Celebrations Weekend Commencing 15 March 2008", firstItem.getTitle());
        assertEquals("20 Nov 2007", df.format(firstItem.getDate().getTime()));
        assertEquals("http://www.karoricricket.org.nz/Home/item/91/", firstItem.getUrl());
        assertTrue(firstItem.getDescription().startsWith("The club will be holding a number of events commencing on Friday 15 Marchat our clubrooms"));
	}

}