package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class KaroriSanctuaryScraperTest extends Base {

	public void testKaroriSanctuaryScraper() throws Exception {
		ScreenScraper scraper = new KaroriSanctuaryScraper();
		StringBuffer content = loadContent("karori_sanctuary.htm");
		List<Newsitem> extractedItems = scraper.parseContent(content.toString());

		Newsitem first = (Newsitem) extractedItems.get(0);
		assertEquals("Freshwater restoration underway", first.getTitle());
		assertEquals("16 Feb 2011", df.format(first.getDate().getTime()));
		assertEquals("http://www.visitzealandia.com/Site/Zealandia_Home/Inside/News/Media_Release_2011/Freshwater_restoration.aspx", first.getUrl());
		
		Newsitem noDateExample = extractedItems.get(21);
		assertEquals("'New Zealand Biodiversity: Captured'", noDateExample.getTitle());
		assertNull(noDateExample.getDate());
	}
}