package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class PonekeScraperTest extends Base {

    public void testScraper() throws Exception {
        ScreenScraper scraper = new PonekeScraper();
        StringBuffer content = loadContent("poneke.html");

       // System.out.println(content);
        
        List<Newsitem> extractedItems = scraper.parseContent(content.toString());
        assertEquals(5, extractedItems.size());
        
        Newsitem first = extractedItems.get(0);
        assertEquals("Milestones for two Premier Players", first.getTitle());
        assertEquals("8 Apr 2011", df.format(first.getDate().getTime()));
        assertEquals("http://ponekerugby.com/entitypages/article/default.aspx?pid=82330&aid=41431", first.getUrl());
        assertEquals("Tomorrow's Premiers match against Avalon will be memorable for two players especially. Masefau Leuluniu will play his 100th starting game for the Premiers.... ", first.getDescription());        
    }

}