package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class SaintsScraperTest extends Base {

	public void testScraper() throws Exception {
		ScreenScraper scraper = new SaintsScraper();
		StringBuffer content = loadContent("saints-news.aspx");
		
		List<Newsitem> extractedItems = scraper.parseContent(content.toString());
		assertEquals(65, extractedItems.size());

		Newsitem firstItem = (Newsitem) extractedItems.get(1);
		assertEquals("Saints Spank Pistons", firstItem.getTitle());
		assertEquals("http://www.saints.co.nz/page/news.aspx?news=432", firstItem.getUrl());
	    assertEquals("29 May 2009", df.format(firstItem.getDate().getTime()));
		assertTrue(firstItem.getDescription().equals("The Century City Saints have beaten the Waikato Pitons 100-86 at the TSB Bank Arena in Wellington tonight in front of a crowd of over 3000. The win could prove vital in the run into the play-offs as the Saints, Giants, Pistons and Cougars jockey for first and second spot and the right to host a semi final."));
		
	}

}