package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class UnitedFutureScraperTest extends Base {
		
	public void testScraper() throws Exception {
        ScreenScraper scraper = new UnitedFutureScraper();
        StringBuffer content = loadContent("united-future-news.html");
        
        List<Newsitem> extractedItems = scraper.parseContent(content.toString());
        assertEquals(7, extractedItems.size());
        Newsitem first = extractedItems.get(0);
        assertEquals("Hon Peter Dunne: Tax Bill brings greater certainty, clarity", first.getTitle());
        assertEquals("http://www.unitedfuture.org.nz/default,1279,hon_peter_dunne_tax_bill_brings_greater_certainty_clarity.sm", first.getUrl());
		assertEquals("27 Nov 2009", df.format(first.getDate().getTime()));
    }
	
}
