package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class WECCScraperTest extends Base {

	public void testScraper() throws Exception {		
		final ScreenScraper scraper = new WECCScraper();
		
		List<Newsitem> extractedItems = scraper.parseContent(loadContent("wecc-news.html").toString());
		
		assertEquals(6, extractedItems.size());
	
		final Newsitem firstItem = (Newsitem) extractedItems.get(0);
		assertEquals("Chamber challenges candidates on policies", firstItem.getTitle());
		assertEquals("http://www.wecc.org.nz/news-and-info/media-releases2/wecc/chamber-challenges-candidates-on-policies", firstItem.getUrl());
        assertEquals("2 Aug 2013", df.format(firstItem.getDate().getTime()));
     }

}