package nz.gen.wellington.screenscrapers.wellington;

import java.util.List;

import nz.gen.wellington.screenscrapers.Base;
import nz.gen.wellington.screenscrapers.Newsitem;
import nz.gen.wellington.screenscrapers.ScreenScraper;

public class WellingtonistaCommentScraperTest extends Base {

	public void testScraper() throws Exception {
		ScreenScraper scraper = new WellingtonistaCommentScraper();
		StringBuffer content = loadContent("wellingtonista-comments.htm");

		List<Newsitem> extractedItems = scraper.parseContent(content.toString());
		assertEquals(2, extractedItems.size());

		Newsitem firstItem = extractedItems.get(0);
		assertTrue(firstItem.getTitle().startsWith("Weren't they going to put a big statue of Peter Jackson out there? Like a REALLY big one."));
	}

}
