package nz.gen.wellington.screenscrapers;

import java.io.File;
import java.util.List;

import nz.gen.wellington.screenscrapers.wellington.ScorchingScraper;
import nz.gen.wellington.screenscrapers.wellington.Base;

public class ScorchingScraperTests extends Base {

	public void testScraper() throws Exception {

		ScreenScraper scraper = new ScorchingScraper();

		File contentFile = new File("test/java/nz/gen/wellington/screenscrapers/scorching_news.htm");
		StringBuffer content = loadContent(contentFile);

		List extractedItems = scraper.parseContent(content.toString());
		assertEquals(69, extractedItems.size());
        
        Newsitem firstItem = (Newsitem) extractedItems.get(0);
        assertEquals("Upper Hutt Scorcher Course details", firstItem.getTitle());
        assertEquals("http://du.scorching.co.nz/default.asp?PageID=3470&view=item&offset=0", firstItem.getUrl());
	}

}