package nz.gen.wellington.screenscrapers;

import java.io.File;
import java.util.List;

import nz.gen.wellington.screenscrapers.auckland.VeoliaScraper;
import nz.gen.wellington.screenscrapers.wellington.Base;

public class VeoliaScraperTests extends Base {

    
    public void testScraper() throws Exception {

        ScreenScraper scraper = new VeoliaScraper();

        File contentFile = new File("test/java/nz/gen/wellington/screenscrapers/connex_news.htm");
        StringBuffer content = loadContent(contentFile);

        List extractedItems = scraper.parseContent(content.toString());
        assertEquals(4, extractedItems.size());

        Newsitem firstItem = (Newsitem) extractedItems.get(0);
        assertEquals("Saturday Bus Replacements - Henderson to Waitakere", firstItem.getTitle());
        assertEquals("http://www.connexauckland.co.nz/news_connex/index_full.asp?thm=2&evn=319", firstItem.getUrl());
   }

}